#!/usr/bin/perl

# Learning Perl, pg.55
# Busca pelo primeiro elemento maximo em um array, versao bixada
# 18/06/2009

use strict;
# use warnings;

my $maximum = max (5, 10, 4);   # l10

print "$maximum\n";   # l12

sub max {
  my($max_so_far) = shift @_;  # l15

  for(my $i == 1; $i < @_; $i++ ) {          # "==" ao inves de "="
    if ($_[$i] > $max_so_far) {  # l17       # o programador "esqueceu-se" que arrays sao zero-indexados
      $max_so_far = $_[$i];
    }
  }
  $max_so_far;  # l21
}

