#!/usr/bin/perl -w

# Learning Perl, pg.65
# Busca por palavras em um array
# devolve a palavra se encontrada, -1 caso contrario
# 18/06/2009

use strict;
 
my @names = qw/ fred barney betty dino wilma pebbles bamm-bamm /;

my $result = &which_element_is("dino", @names);

if($result >= 0){
	print "Palavra encontrada!\n";
}
else{
	print "Palavra NAO encontrada!\n";
}


sub which_element_is {
  my($what, @array) = @_;
  foreach (0..$#array) { # indices of @array's elements
    if ($what eq $array[$_]) {
      return $_;          # return early once found
    }
  }
  -1;        # element not found (return is optional here)
}

